Subject: Re: Shipa-KSA::S000778143129 || SO# || Urgent Delivery MCI Complaint
From: Alaa Musa <[email-masked]>
To: ShipaDelivery Support <[email-masked]>, KSA Lastmile <[email-masked]>
Cc: Amani Bani Odeh <[email-masked]>, customer care <[email-masked]>
Date: Tue, 23 Jun 2020 14:27:58 +0400
List-Id: <ccteam.mumzworld.com>

Hi team,

What is the update here, this is an MCI complaint that needs to be
solved asap.
Regards,
Alaa

On Wed, 17 Jun 2020 at 15:56, Amani Bani Odeh <[email-masked]> wrote:

>  Dears,
>
> Please reattempt the delivery in 48 hours max as no update since June 6th.
>
>
>
>
> Thanks,
> Amani
>